//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/SampleView.h
//! @brief     Defines class SampleView
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_SAMPLEVIEW_H
#define BORNAGAIN_GUI_VIEWS_SAMPLEVIEW_H

#include <QMainWindow>

class DocksController;
class ProjectDocument;

class SampleView : public QMainWindow {
    Q_OBJECT
public:
    enum ESubWindows { TOOLBOX, SAMPLE_TREE, PROPERTY_EDITOR, INFO, REALSPACEPANEL };

    SampleView(QWidget* parent, ProjectDocument* document);

    void toggleRealSpaceView();
    void fillViewMenu(QMenu* menu);

private:
    void resetLayout();

    DocksController* m_docks = nullptr;
    ProjectDocument* m_document = nullptr;
};

#endif // BORNAGAIN_GUI_VIEWS_SAMPLEVIEW_H
